<template>
  <!-- 质量保修 -->
  <div
    class="items bgc"
    id="acc7"
  >
    <!-- 标题 -->
    <div class="title">
      <span class="icon"></span>
      <span class="text">质量保修</span>
    </div>
    <!-- 详情 -->
    <div class="table-border">
      <el-table
        :data="data"
        height="230"
        border
        style="width: 100%;"
        :header-cell-style="{background:'#f2f2f2',color:'#000'}"
        @row-click="handleRowDBClick"
      >
      <el-table-column
        type="index"
        label="序号"
        width="60"
        align="center"
      >
      </el-table-column>
      <!-- <el-table-column
        prop="projectInfo.projectName"
        label="项目名称"
        :show-overflow-tooltip="true"
        align="center"
      >
      </el-table-column> -->
      <el-table-column
        prop="name"
        label="名称"
        :show-overflow-tooltip="true"
        align="center"
      >
       <template v-slot="{row}">
          <a
            class="a-link"
            >{{ row.name }}</a
          >
        </template>
      </el-table-column>
      <el-table-column
        prop="finishTime"
        label="竣工验收时间"
        :show-overflow-tooltip="true"
        align="center"
      >
      </el-table-column>
      <el-table-column
        prop="warrantyTime"
        label="保修期"
        :show-overflow-tooltip="true"
        align="center"
      >
      </el-table-column>
      <el-table-column
        prop="remarks"
        label="备注"
        width="100"
        :show-overflow-tooltip="true"
        align="center"
      >
      </el-table-column>
      </el-table>
      <div class="page-footer">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="pageResult.page"
          :page-sizes="[5,10,20,30,50]"
          :page-size="pageResult.pageSize"
          layout="total, sizes, prev, pager, next, jumper"
          :total="pageResult.total"
        >
        </el-pagination>
      </div>
    </div>
    <el-dialog
      title="质量保修-详情"
      :visible.sync="dialogVisible"
      width="1000px"
    >
      <table align="center">
        <tr>
          <td
            class="bgColor"
            style="width: 120px"
          >名称</td>
          <td style="width: 380px">{{ form.name }}</td>
          <td class="bgColor" style="width:120px">竣工验收时间</td>
          <td>{{form.finishTime}}</td>
          <!-- <td class="bgColor" style="width: 150px">经办人</td>
          <td>{{ form.handlerName }}</td> -->
        </tr>
        <!-- <tr>
          <td class="bgColor">会议主题</td>
          <td colspan="3">{{ form.sketch }}</td>
        </tr> -->
        <tr>
          <td class="bgColor">保修期</td>
          <td colspan="3">{{ form.warrantyTime }}</td>
        </tr>

        <!-- <tr>
          <td class="bgColor">附件信息</td>
          <td colspan="3">
            <el-link
              type="primary"
              @click="handleLook(form.accessoryInfo)"
              v-if="form.accessoryInfo && form.accessoryInfo.length > 0"
            >查看附件({{ form.accessoryInfo.length }}个)</el-link>
            <span v-else>无</span>
          </td>
        </tr> -->
        <tr>
          <td class="bgColor">备注</td>
          <td colspan="3">{{ form.remarks }}</td>
        </tr>
      </table>
      <dialog-accessory ref="accessory" :accessoryInfo="form.accessoryInfo" />
      <div class="flexEnd">
        <div class="end">
          <!-- <span>项目名称：{{form.projectInfo && form.projectInfo.projectName}}</span> -->
          <span>{{form.projectInfo && form.projectInfo.projectManager}}</span>
          <span>{{form.projectInfo && form.projectInfo.commencementTime}}</span>
        </div>
      </div>
    </el-dialog>
    <!-- <dialog-accessory ref="accessory" /> -->
  </div>
</template>
<script>
import dialogAccessory from '../dialog/dialogAccessory.vue'
export default {
  name: 'qualityWarranty',
  components: {
    dialogAccessory
  },
  data() {
    return {
      data: [], //表格数据
      pageResult: {
        page: 1,
        pageSize: 10,
        total: 0
      },
      form: {},
      dialogVisible: false,
      dialogTitle: '添加'
    }
  },
  mounted() {
    this.loadData()
  },
  methods: {
    //附件
    handleLook(obj) {
      this.$refs.accessory.open(obj)
    },
    handleSizeChange(val) {
      this.pageResult.pageSize = val
      this.loadData()
    },
    handleCurrentChange(val) {
      this.pageResult.page = val
      this.loadData()
    },
    handleRowDBClick(data) {
      this.dialogVisible = true
      this.form = data
    },
    loadData() {
      let param = {
        pageBean: {
          ...this.pageResult
        },
        querys: [
          {
            group: 'main',
            operation: 'EQUAL',
            parentGroup: '',
            property: 'PROJECT_ID_ ',
            relation: 'AND',
            value: this.$route.params.id
          }
        ],
        // sorter: [
        //   {
        //     direction: 'DESC',
        //     property: 'acceptance_date_'
        //   }
        // ]
      }
      this.$http
        .post(
          '${cqxy}/biz/warranty/pm/v1/page',
          param
        )
        .then(
          res => {
            let resp = res.data.value
            this.data = resp.rows
            this.pageResult = {
              page: resp.page,
              pageSize: resp.pageSize,
              total: resp.total
            }
          },
          error => {
            reject(error)
          }
        )
    }
  }
}
</script>
<style lang="scss" scoped>
@import '../css/projectCommon.scss';
.page-footer {
  padding-top: 10px;
  float: right;
}
.table-border {
  height: 515px;
}
/deep/ .el-table {
  height: calc(100% - 32px) !important;
}
</style>